Name:		sarg
Version:	2.3.1
Release:	2%{?dist}
Summary:	Squid Analysis Report Generator

Group:		Applications/System
License:	GPLv2
URL:		http://sarg.sourceforge.net/sarg.php
Source0:	http://sourceforge.net/projects/sarg/files/sarg/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch1:	sarg-mandir.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gd-devel, openldap-devel, gettext-devel, gettext
Requires:	gd, openldap, gettext

%description
Sarg is a Squid Analysis Report Generator that allow you to view "where" your users
are going to on the Internet.
Sarg generates reports in html, with many fields, like: users, IP Addresses, bytes, sites and times.

%package www
Summary:	Sarg Frontend
Group:		Applications/Internet
Requires:	httpd, sarg
%if 0%{?fedora} >= 10 || 0%{?rhel} >= 6
BuildArch: noarch
%endif

%description www
The php frontend to display the Sarg interface.

%prep
%setup -q
%patch1 -p1 -b .mandir

%build
export LIBS="$LIBS -lm"
%configure \
	--sysconfdir=%{_sysconfdir}/sarg \
	--enable-sargphp=%{_localstatedir}/www/sarg
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cd sarg-php
for d in `find . -type d`; do
	install -d -m0755 $RPM_BUILD_ROOT%{_localstatedir}/www/sarg/$d
done
for f in `find . -type f`; do
	install -c -m0644 $f $RPM_BUILD_ROOT%{_localstatedir}/www/sarg/$f
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc BETA-TESTERS CONTRIBUTORS COPYING ChangeLog DONATIONS LICENSE README
%config(noreplace) %{_sysconfdir}/sarg/sarg.conf
%{_sysconfdir}/sarg/css.tpl
%{_sysconfdir}/sarg/exclude_codes
%{_sysconfdir}/sarg/user_limit_block
%{_mandir}/man1/*
%{_bindir}/sarg
%{_datadir}/locale/*
%{_datadir}/sarg/*

%files www
%defattr(-,root,root,-)
%{_localstatedir}/www/sarg/*

%changelog
* Thu Aug 25 2011 momo-i <webmaster@momo-i.org> - 2.3.1-1
- Initial rpm release.
